DU(1)

NÉV
du - estimate file space usage

ÖSSZEGZÉS
du [KAPCSOLÓ]... [FÁJL]...
du [KAPCSOLÓ]... --files0-from=F

LEÍRÁS

Summarize device usage of the set of FILEs, recursively for directories.

A hosszú kapcsolók kötelező argumentumai a rövid kapcsolókhoz is kötelezők.

-0, --null
    minden kimeneti sor lezárása NUL-lal új sor helyett

-a, --all
    minden fájl adatait kiírja, nem csak a könyvtárakat

-A, --apparent-size
    print apparent sizes rather than device usage; although the apparent size is usually smaller, it may be larger due to holes in ('sparse') files, internal fragmentation, indirect blocks, etc.

-B, --block-size=MÉRET
    scale sizes by SIZE before printing them; See SIZE format below; E.g., '-BM' prints sizes in units of 1,048,576 bytes

-b, --bytes
    ugyanaz, mint a „--apparent-size --block-size=1“

-c, --total
    összesítést ír ki

-D, --dereference-args
    csak a parancssorban felsorolt szimbolikus linkek törlése

-d, --max-depth=N
    egy könyvtár (vagy fájl a --all kapcsolóval) összesítésének kiírása csak ha a parancssori argumentum alatt N vagy kevesebb szinttel van; a --max-depth=0 ugyanaz, mint a --summarize

--files0-from=F
    summarize device usage of the NUL-terminated file names specified in file F; if F is -, read names from standard input

-H  ugyanaz, mint a --dereference-args (-D)

-h, --human-readable
    közérthető formátum (például: 1K 234M 2G)

--inodes
    list inode usage information instead of block usage

-k  mint a --block-size=1K

-L, --dereference
    mindig követi a szimbolikus linkeket

-l, --count-links
    többször számolja a méretet, ha hard linkek vannak

-m  mint a --block-size=1M

-P, --no-dereference
    ne kövesse a szimbolikus linkeket (ez az alapértelmezés)

-S, --separate-dirs
    könyvtárak esetén az alkönyvtárakat nem számolja bele

--si
    mint előbb, de 1000-es szorzó 1024-es helyett

-s, --summarize
    argumentumonként egy összeget mutat

-t, --threshold=MÉRETNÉL
    a MÉRETNÉL kisebb bejegyzések kihagyása, ha pozitív, a MÉRETNÉL nagyobb bejegyzések kihagyása, ha negatív

--time
    a könyvtár bármely fájljának vagy alkönyvtárának utolsó módosítása idejének kiírása

--time=SZÓNAK
    az idő mutatása a SZÓNAK megfelelően, a módosítási idő helyett: atime, access, use, ctime vagy status

--time-style=STYLE
    dátum/idő formátum a --time kapcsolóhoz; lásd az IDŐSTÍLUS leírását alább

-X, --exclude-from=FÁJLBAN
    a FÁJLBAN található mintákra illeszkedő fájlok kihagyása

--exclude=MINTÁRA
    a MINTÁRA illeszkedő nevű fájlok kihagyása

-x, --one-file-system
    a más fájlrendszeren lévő könyvtárak kihagyása

--help
    ezen súgó megjelenítése és kilépés

--version
    verzióinformációk megjelenítése és kilépés

A megjelenített értékek a --block-size és a %s_BLOCK_SIZE, BLOCK_SIZE és BLOCKSIZE környezeti változók első elérhető MÉRET egységében vannak. Ellenkező esetben az egység alapértelmezése 1024 bájt (vagy 512, ha a POSIXLY_CORRECT változó be van állítva).

The SIZE argument is an integer and optional unit (example: 10K is 10*1024). Units are K,M,G,T,P,E,Z,Y,R,Q (powers of 1024) or KB,MB,... (powers of 1000). Binary prefixes can be used, too: KiB=K, MiB=M, and so on.

The --time-style STYLE argument can be full-iso, long-iso, iso, or +FORMAT. FORMAT is interpreted like in date(1). Also the TIME_STYLE environment variable sets the default style to use.

PATTERNS
PATTERN is a shell pattern (not a regular expression). The pattern ? matches any one character, whereas * matches any string (composed of zero, one or multiple characters). For example, *.o will match any files whose names end in .o. Therefore, the command

    du --exclude='*.o'

will skip all files and subdirectories ending in .o (including the file .o itself).

SZERZŐ
Írta Torbjorn Granlund, David MacKenzie, Paul Eggert és Jim Meyering.

HIBÁK JELENTÉSE
A hibák a(z) bug-coreutils@gnu.org címen jelenthetők.
A(z) GNU coreutils honlapja: <https://www.gnu.org/software/coreutils/>
Általános segítség a GNU szoftverek használatához: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

LÁSD MÉG
Teljes dokumentáció <https://www.gnu.org/software/coreutils/du>
vagy helyileg elérhető: info '(coreutils) du invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
A licenc GPLv3+: a GNU GPL 3. vagy újabb változata: <https://gnu.org/licenses/gpl.html>.
Ez egy szabad szoftver, terjesztheti és/vagy módosíthatja.
NINCS GARANCIA, a törvény által engedélyezett mértékig.

FORDÍTÁS
A kézikönyv magyar fordítását a Horváth András <horvatha@rs1.szif.hu> készítette.

Ez a fordítás ingyenes dokumentáció; lásd a GNU General Public License 3 (https://www.gnu.org/licenses/gpl-3.0.html). Vagy újabb verzióját a szerzői jogi feltételekkel kapcsolatban. Feltételezzük, hogy NEM FELELŐSSÉG.

Ha hibát talál a kézikönyv oldal fordításában, küldje el a e-mail cím: TODO..